// src/statistics_container_window.cc - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "statistics_container_window.hh"
#include <iostream>

using namespace sgpem;
using namespace std;

StatisticsContainerWindow::StatisticsContainerWindow()
{
    // This just sets the title of our new window.
	set_title(_("Simulation Statistics"));
	_scrolled_tabular.add(_tabular_schedulables_statistics_widget);
	add(_scrolled_tabular);
	_scrolled_tabular.show();
	_tabular_schedulables_statistics_widget.show();
	
	_scrolled_tabular.get_hscrollbar()->property_visible() = true;
	_scrolled_tabular.get_vscrollbar()->property_visible() = true;
	
	//_scrolled_tabular.get_vscrollbar()->set_visible(true);
	
	/*cout << "\n\nSIIIIIIIIIIIIIIIIIIIII\n\n";
	if (_scrolled_tabular.get_vscrollbar_visible())
		cout << "\n\nSIIIIIIIIIIIIIIIIIIIII\n\n";
	else
		cout << "\n\nNNNNNNNNNNNNNNNOOOOOOOOOOO\n\n";
	*/
}
  
StatisticsContainerWindow::~StatisticsContainerWindow()
{
}
  
void
StatisticsContainerWindow::on_size_request(Gtk::Requisition* /* requisition */ )
{

}

TabularSchedulableStatisticsWidget&
StatisticsContainerWindow::get_tabular_schedulables_statistics_widget()
{
	return _tabular_schedulables_statistics_widget;
}

